# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KURLPixmapProvider Class Reference

Implementation of KPixmapProvider Resolves pixmaps for URLs. More...

`#include <kurlpixmapprovider.h>`

Inheritance diagram for KURLPixmapProvider:

[legend]
Collaboration diagram for KURLPixmapProvider:

[legend]
List of all members.

## Public Member Functions

virtual QPixmap | pixmapFor (const QString &url, int size=0)
| Returns a pixmap for `url` with size `size` Uses KMimeType::pixmapForURL().

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Implementation of KPixmapProvider Resolves pixmaps for URLs.

Uses KMimeType::pixmapForURL() to resolve icons.

Instatiate this class and supply it to the desired class, e.g.

     KHistoryCombo *combo = new KHistoryCombo( this );
     combo->setPixmapProvider( new KURLPixmapProvider );
     [...]

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Definition at line 42 of file kurlpixmapprovider.h.

## Member Function Documentation

QPixmap KURLPixmapProvider::pixmapFor | ( | const QString & | url,
|  | int | size = 0
| ) | `[virtual]`

| Returns a pixmap for `url` with size `size` Uses KMimeType::pixmapForURL(). Implements KPixmapProvider. Definition at line 23 of file kurlpixmapprovider.cpp. References QString::at(), KMimeType::pixmapForURL(), and KURL::setPath().

The documentation for this class was generated from the following files:

- kurlpixmapprovider.h
- kurlpixmapprovider.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:24:34 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001